NOUVELLE ADRESSE PERMANENTE DU DÉPÔT: https://mirrors.o2switch.fr/primtux/repo/debs
ATTENTION, MERCI DE NE PAS METTRE À JOUR PRIMTUX7 UBUNTU 20.04 VERS LA 22.04, LES HANDYMENUS NE SONT PAS ENCORE COMPATIBLES!
Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
[Résolu] Soucis d'installation de CTParental
#1
Cyril Borne me signale cette anomalie a l'installation de CTParental : https://cyrille-borne.com/forum/uploads/...a55p99.png
Répondre
#2
Sur quelle version de PrimTux ? La 6, ubuntu ou debian ?
Répondre
#3
J'ai pas encore l'info, j'ai demandé la même chose.
J'arrive pas à reproduire dans ma VM.(qui est une Primtux 6 basé sur Ubuntu)
Répondre
#4
Pour ce qui est de la PTx6 ubuntu, j'en ai installé plusieurs, sur divers PC (desktop et portable) sans aucun souci.
Répondre
#5
Cyril Borne a écrit :la Ubuntu 64 bits. J'ai lancé un peu tout au départ et puis je me suis orienté vers l'administration pour regarder. Théoriquement le fait que je me sois promener dans les sessions ne devrait pas avoir d'incidence. Par contre pour ma part, je pense qu'il faut installer le contrôle parental par défaut.
Répondre
#6
Cyril Borne a écrit :la Ubuntu 64 bits. J'ai lancé un peu tout au départ et puis je me suis orienté vers l'administration pour regarder. Théoriquement le fait que je me sois promener dans les sessions ne devrait pas avoir d'incidence. Par contre pour ma part, je pense qu'il faut installer le contrôle parental par défaut.
Je parie plutôt pour un problème en local chez lui, car on est tout de même assez nombreux à l'avoir testé sans aucun problème.
Pour ce qui est de l'installation par défaut, Steph a déjà répondu à cette question (je ne sais plus où !) : de nombreuses écoles n'en ont pas besoin parce qu'elles passent par un proxy.

On en revient à l'éventualité d'une version "famille" de PrimTux, peut-être avec l'installation d'un méta-paquet plutôt qu'une iso.
Répondre
#7
Philippe Dpt35 a écrit :Je parie plutôt pour un problème en local chez lui, car on est tout de même assez nombreux à l'avoir testé sans aucun problème.

Oui, c'est sur mais il l'a pas inventé le message...
Ca m'a l'air de casser au niveau du script de postinst.

Philippe Dpt35 a écrit :Pour ce qui est de l'installation par défaut, Steph a déjà répondu à cette question (je ne sais plus où !) : de nombreuses écoles n'en ont pas besoin parce qu'elles passent par un proxy.

Oui, je sais bien et il est possible de cocher le contrôle parental pendant l'install également.
On peut peut-être le préciser dans le wiki (présentation de Primtux 6) : au moins, on explique notre choix quelque part.

Pour ce qui est de la version "famille", je vais créer un fil dédié pour qu'on en parle.
Répondre
#8
4.44.13 on est sur une Debian ou une Ubuntu 18.04. On ne coche pas ctparental à l'installation, c'est à l'accueil en post-install qu'on peut le choisir ou pas. Mais il est où son message complet?
Non pas de ctparental par défaut, inutile dans beaucoup d'écoles déjà filtrées. "Pour ma part", ça veut peut-être dire dans son cas. J'aurais bien aimé voir le début du terminal aussi.
Je vais voir...
Répondre
#9
Bon alors sur la Debian RAS mais je pense qu'il est sur la Ubuntu 18.04: la 4.44.13 est normalement compatible Debian10 et Ubuntu 18.04. Celui de la 20.04 je l'ai quand même pas mal éprouvé, ce qui n'est pas le cas de celui de la 18.04, compilée à la demande de Pierre et moins testée.
Répondre
#10
Il y a effectivement un problème. Je retire la 18.04 en attendant de le résoudre. Bien sûr, il faut qu'il teste celle-là...
Répondre
#11
Steph a écrit :Bien sûr, il faut qu'il teste celle-là...
Ouais, loi de Murphy ! :lol:
Répondre
#12
Alors le bilan provisoire:

- Sur la Debian, c'est la 4.44 qui est installée, pas la 4.43, et elle fonctionne.

- Version Ubuntu 18.04, c'est la 4.43 et elle ne fonctionne pas (elle est pourtant tagguée 18.04 sur le dépôt de marsat). Il va falloir trouver un moyen de rétropédaler vers la 4.42 (celle de PrimTux5), qui fonctionne.

- Version Ubuntu 20.04, c'est aussi la 4.43. Pour le coup, elle fonctionne mais sur une beta (extrêmement récente et mise à jour, je crois que la seule différence c'était le logo ubuntu à la place de PrimTux). Pour être sûr, je refais une installation parce qu'en fait il a sûrement testé la 20.04 en fin de compte. J'avais du avoir un pb avec la 4.44 sur l'ubuntu.
Répondre
#13
Pas de Pb avec la 4.43 sur une installation toute fraîche en dur de la 20.04.
En même temps on se mélange un peu les pinceaux avec toutes ces versions...
https://gitlab.com/marsat/CTparental/-/tags

Debian10 = Ubuntu19.04
Debian9 = Ubuntu18.04
Debian11 = Ubuntu20.04

Mon erreur doit venir de là, dans mon esprit la 18.04 c'était la même version que la Debian10, mal lu...
Répondre
#14
Voilà c'est corrigé. Explications:
Si j'ai mis la 4.43 sous la 20.04, c'est parce que si je mettais la 4.44, il y avait conflit avec la version de la Debian, et oui, pb de nommage: dans le dépôt, les 2 versions 4.44 (celle pour Debian et celle pour Ubuntu) sont renommées de la même manière.
Donc:

- J'ai fait un paquet nommé 4.44.1.1 pour la version Ubuntu 20.04 (installée sur la 4.43 et fonctionnelle en dur)
- La 18.04 a la 4.43 pour 18.04
- La Deian10 a la 4.44.1.0

Plus toucher!
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)